Warning, /games/ksirk/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
0002 
0003 # KDE Application Version, managed by release script
0004 set(RELEASE_SERVICE_VERSION_MAJOR "23")
0005 set(RELEASE_SERVICE_VERSION_MINOR "08")
0006 set(RELEASE_SERVICE_VERSION_MICRO "1")
0007 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
0008 
0009 project(ksirk VERSION ${RELEASE_SERVICE_VERSION})
0010 
0011 set (QT_MIN_VERSION "5.15.2")
0012 set (KF_MIN_VERSION "5.90.0")
0013 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
0014 find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
0015 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
0016 
0017 
0018 include(FeatureSummary)
0019 include(ECMAddAppIcon)
0020 include(ECMInstallIcons)
0021 include(ECMSetupVersion)
0022 include(KDEInstallDirs)
0023 include(KDECompilerSettings NO_POLICY_SCOPE)
0024 include(KDECMakeSettings)
0025 include(ECMQtDeclareLoggingCategory)
0026 
0027 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
0028 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
0029 
0030 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg Test)
0031 if (QT_MAJOR_VERSION STREQUAL "6")
0032     find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS SvgWidgets)
0033 endif()
0034 
0035 find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
0036     Completion
0037     Config
0038     ConfigWidgets
0039     CoreAddons
0040     Crash
0041     DocTools
0042     I18n
0043     KIO
0044     NewStuff
0045     Wallet
0046     WidgetsAddons
0047     XmlGui
0048 )
0049 
0050 find_package(KF5KDEGames 7.3.0 REQUIRED)
0051 find_package(Phonon4Qt${QT_MAJOR_VERSION} REQUIRED)
0052 
0053 
0054 find_package(Phonon4Qt${QT_MAJOR_VERSION} CONFIG REQUIRED)
0055 find_package(Qca-qt${QT_MAJOR_VERSION} 2.1.0)
0056 set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
0057                        URL "https://download.kde.org/stable/qca-qt5"
0058                        TYPE REQUIRED)
0059 
0060 kde_enable_exceptions()
0061 
0062 remove_definitions(-DQT_NO_STL) 
0063 
0064 ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KSIRK VERSION_HEADER ksirk_version.h)
0065 
0066 add_subdirectory(ksirk)
0067 add_subdirectory(ksirkskineditor)
0068 add_subdirectory(doc)
0069 
0070 ki18n_install(po)
0071 kdoctools_install(po)
0072 
0073 ecm_qt_install_logging_categories(
0074         EXPORT KSIRK
0075         FILE ksirk.categories
0076         DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
0077         )
0078 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)